Market Data

Prices, market-level trades, depth, candles, etc.

Get market summaries

get
/markets/summary

Statistics and throttled market data for all markets. Recalculated every 0.5s

Responses
chevron-right
200

List of market summaries

application/json
symbolstringRequired

Trading symbol (e.g., BTCRUSDPERP, WETHRUSD)

Example: BTCRUSDPERPPattern: ^[A-Za-z0-9]+$
updatedAtintegerRequired

Time when the market summary was last calculated (milliseconds)

Example: 1747927089946
longOiQtystringRequired

Long open interest in lots

Example: 1.0Pattern: ^\d+(\.\d+)?([eE][+-]?\d+)?$
shortOiQtystringRequired

Short open interest in lots

Example: 1.0Pattern: ^\d+(\.\d+)?([eE][+-]?\d+)?$
oiQtystringRequired

Total open interest quantity

Example: 1.0Pattern: ^\d+(\.\d+)?([eE][+-]?\d+)?$
fundingRatestringRequired

Current hourly funding rate

Example: 43000.00Pattern: ^-?\d+(\.\d+)?([eE][+-]?\d+)?$
longFundingValuestringRequired

Current reference value of funding accrued by one unit of exposure; there is one funding value per market and per direction, with short v long funding values differing possibly due to Auto-Deleveraging (ADL)

Example: 43000.00Pattern: ^-?\d+(\.\d+)?([eE][+-]?\d+)?$
shortFundingValuestringRequired

Current reference value of funding accrued by one unit of exposure; there is one funding value per market and per direction, with short v long funding values differing possibly due to Auto-Deleveraging (ADL)

Example: 43000.00Pattern: ^-?\d+(\.\d+)?([eE][+-]?\d+)?$
fundingRateVelocitystringRequired

Funding rate velocity

Example: 43000.00Pattern: ^-?\d+(\.\d+)?([eE][+-]?\d+)?$
volume24hstringRequiredExample: 1.0Pattern: ^\d+(\.\d+)?([eE][+-]?\d+)?$
pxChange24hstringOptionalExample: 43000.00Pattern: ^-?\d+(\.\d+)?([eE][+-]?\d+)?$
throttledOraclePricestringOptional

Last oracle price, at the moment of the last market summary update

Example: 43000.00Pattern: ^-?\d+(\.\d+)?([eE][+-]?\d+)?$
throttledPoolPricestringOptional

Last pool price, at the moment of the last market summary update

Example: 43000.00Pattern: ^-?\d+(\.\d+)?([eE][+-]?\d+)?$
pricesUpdatedAtintegerOptional

Timestamp of the last price update (milliseconds)

Example: 1747927089946
Other propertiesanyOptional
get
/markets/summary

Get market summary

get
/market/{symbol}/summary

Statistics and throttled data for a specific market. Recalculated every 0.5s

Path parameters
symbolstringRequired

Trading symbol (e.g., BTCRUSDPERP, WETHRUSD)

Example: BTCRUSDPERPPattern: ^[A-Za-z0-9]+$
Responses
chevron-right
200

Market summary

application/json
symbolstringRequired

Trading symbol (e.g., BTCRUSDPERP, WETHRUSD)

Example: BTCRUSDPERPPattern: ^[A-Za-z0-9]+$
updatedAtintegerRequired

Time when the market summary was last calculated (milliseconds)

Example: 1747927089946
longOiQtystringRequired

Long open interest in lots

Example: 1.0Pattern: ^\d+(\.\d+)?([eE][+-]?\d+)?$
shortOiQtystringRequired

Short open interest in lots

Example: 1.0Pattern: ^\d+(\.\d+)?([eE][+-]?\d+)?$
oiQtystringRequired

Total open interest quantity

Example: 1.0Pattern: ^\d+(\.\d+)?([eE][+-]?\d+)?$
fundingRatestringRequired

Current hourly funding rate

Example: 43000.00Pattern: ^-?\d+(\.\d+)?([eE][+-]?\d+)?$
longFundingValuestringRequired

Current reference value of funding accrued by one unit of exposure; there is one funding value per market and per direction, with short v long funding values differing possibly due to Auto-Deleveraging (ADL)

Example: 43000.00Pattern: ^-?\d+(\.\d+)?([eE][+-]?\d+)?$
shortFundingValuestringRequired

Current reference value of funding accrued by one unit of exposure; there is one funding value per market and per direction, with short v long funding values differing possibly due to Auto-Deleveraging (ADL)

Example: 43000.00Pattern: ^-?\d+(\.\d+)?([eE][+-]?\d+)?$
fundingRateVelocitystringRequired

Funding rate velocity

Example: 43000.00Pattern: ^-?\d+(\.\d+)?([eE][+-]?\d+)?$
volume24hstringRequiredExample: 1.0Pattern: ^\d+(\.\d+)?([eE][+-]?\d+)?$
pxChange24hstringOptionalExample: 43000.00Pattern: ^-?\d+(\.\d+)?([eE][+-]?\d+)?$
throttledOraclePricestringOptional

Last oracle price, at the moment of the last market summary update

Example: 43000.00Pattern: ^-?\d+(\.\d+)?([eE][+-]?\d+)?$
throttledPoolPricestringOptional

Last pool price, at the moment of the last market summary update

Example: 43000.00Pattern: ^-?\d+(\.\d+)?([eE][+-]?\d+)?$
pricesUpdatedAtintegerOptional

Timestamp of the last price update (milliseconds)

Example: 1747927089946
Other propertiesanyOptional
get
/market/{symbol}/summary

Get all prices

get
/prices
Responses
chevron-right
200

List of prices

application/json
symbolstringRequired

Trading symbol (e.g., BTCRUSDPERP, WETHRUSD)

Example: BTCRUSDPERPPattern: ^[A-Za-z0-9]+$
oraclePricestringRequired

Price given by the Stork feeds, used both as the peg price for prices on Reya, as well as Mark Prices. The Stork price feed is usually the perp prices across three major CEXs

Example: 43000.00Pattern: ^-?\d+(\.\d+)?([eE][+-]?\d+)?$
poolPricestringOptional

The price currently quoted by the AMM for zero volume, from which trades are priced (equivalent to mid price in an order book); a trade of any size will be move this price up or down depending on the direction.

Example: 43000.00Pattern: ^-?\d+(\.\d+)?([eE][+-]?\d+)?$
updatedAtintegerRequired

Last update timestamp (milliseconds)

Example: 1747927089946
Other propertiesanyOptional
get
/prices

Get price by symbol

get
/prices/{symbol}
Path parameters
symbolstringRequired

Trading symbol (e.g., BTCRUSDPERP, WETHRUSD)

Example: BTCRUSDPERPPattern: ^[A-Za-z0-9]+$
Responses
chevron-right
200

Price information

application/json
symbolstringRequired

Trading symbol (e.g., BTCRUSDPERP, WETHRUSD)

Example: BTCRUSDPERPPattern: ^[A-Za-z0-9]+$
oraclePricestringRequired

Price given by the Stork feeds, used both as the peg price for prices on Reya, as well as Mark Prices. The Stork price feed is usually the perp prices across three major CEXs

Example: 43000.00Pattern: ^-?\d+(\.\d+)?([eE][+-]?\d+)?$
poolPricestringOptional

The price currently quoted by the AMM for zero volume, from which trades are priced (equivalent to mid price in an order book); a trade of any size will be move this price up or down depending on the direction.

Example: 43000.00Pattern: ^-?\d+(\.\d+)?([eE][+-]?\d+)?$
updatedAtintegerRequired

Last update timestamp (milliseconds)

Example: 1747927089946
Other propertiesanyOptional
get
/prices/{symbol}

Get perp executions for market

get
/market/{symbol}/perpExecutions

Returns up to 100 perp executions for a given market.

Path parameters
symbolstringRequired

Trading symbol (e.g., BTCRUSDPERP, WETHRUSD)

Example: BTCRUSDPERPPattern: ^[A-Za-z0-9]+$
Query parameters
startTimeintegerOptional

Return results after this sequence number (for pagination)

Example: 1747927089946
endTimeintegerOptional

Return results before this sequence number (for pagination)

Example: 1747927089946
Responses
chevron-right
200

List of perp executions

application/json
Other propertiesanyOptional
get
/market/{symbol}/perpExecutions

Get market depth snapshot

get
/market/{symbol}/depth

Returns an L2 order book snapshot with aggregated price levels for the specified market.

Path parameters
symbolstringRequired

Trading symbol (e.g., BTCRUSDPERP, WETHRUSD)

Example: BTCRUSDPERPPattern: ^[A-Za-z0-9]+$
Responses
chevron-right
200

Depth snapshot

application/json
symbolstringRequired

Trading symbol (e.g., BTCRUSDPERP, WETHRUSD)

Example: BTCRUSDPERPPattern: ^[A-Za-z0-9]+$
typestring · enumRequired

Depth message type (SNAPSHOT = full book, UPDATE = single level change)

Possible values:
updatedAtintegerRequired

Snapshot generation timestamp (milliseconds)

Example: 1747927089946
Other propertiesanyOptional
get
/market/{symbol}/depth

Get spot executions for market

get
/market/{symbol}/spotExecutions

Returns up to 100 spot executions for a given market.

Path parameters
symbolstringRequired

Trading symbol (e.g., BTCRUSDPERP, WETHRUSD)

Example: BTCRUSDPERPPattern: ^[A-Za-z0-9]+$
Query parameters
startTimeintegerOptional

Return results after this sequence number (for pagination)

Example: 1747927089946
endTimeintegerOptional

Return results before this sequence number (for pagination)

Example: 1747927089946
Responses
chevron-right
200

List of spot executions

application/json
Other propertiesanyOptional
get
/market/{symbol}/spotExecutions

Get spot execution busts for market

get
/market/{symbol}/spotExecutionBusts

Returns up to 100 spot execution busts (failed spot fills) for a given market.

Path parameters
symbolstringRequired

Trading symbol (e.g., BTCRUSDPERP, WETHRUSD)

Example: BTCRUSDPERPPattern: ^[A-Za-z0-9]+$
Query parameters
startTimeintegerOptional

Return results after this sequence number (for pagination)

Example: 1747927089946
endTimeintegerOptional

Return results before this sequence number (for pagination)

Example: 1747927089946
Responses
chevron-right
200

List of spot execution busts

application/json
Other propertiesanyOptional
get
/market/{symbol}/spotExecutionBusts

Get historical candles

get
/candleHistory/{symbol}/{resolution}

Returns up to 200 candles for a given market, sorted by time in descending order, and ending at the specified end time.

Path parameters
symbolstringRequired

Trading symbol (e.g., BTCRUSDPERP, WETHRUSD)

Example: BTCRUSDPERPPattern: ^[A-Za-z0-9]+$
resolutionstring · enumRequired

Candle resolution

Example: 1mPossible values:
Query parameters
endTimeintegerOptional

Return results before this sequence number (for pagination)

Example: 1747927089946
Responses
chevron-right
200

Historical candle data

application/json
tinteger[]Required

Array of timestamps (seconds)

Example: [1747804140,1747804200,1747804260]
ostring[]Required

Array of opening prices

Example: ["2557.997","2555.386","2560.118"]
hstring[]Required

Array of high prices

Example: ["2558.000","2560.699","2560.729"]
lstring[]Required

Array of low prices

Example: ["2554.637","2553.436","2559.368"]
cstring[]Required

Array of closing prices

Example: ["2555.387","2560.118","2560.439"]
Other propertiesanyOptional
get
/candleHistory/{symbol}/{resolution}

Last updated